Kerbal Space Program - Bug #3668

Spacecraft explodes within seconds of loading attached save file
12/03/2014 11:23 PM - voltara

Status: Closed Start date: 12/03/2014
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.25 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

KSP Version: 0.25.0 Linux 32-bit and 64-bit, running on Ubuntu 14.04
What happens: The spaceship "Science Probe IV" spins and explodes a few seconds after loading the attached save file.
Mods / Add-Ons: All stock

| confirmed the issue with a fresh install through Steam. | will be happy to re-test when the upcoming 0.90 release is publicly
available.

Test #1:
1) Load the attached save file (the "F9" quickload feature makes this easier.)

Result:
After a couple of seconds, the solar panels gradually begin vibrating until the motion is so violent they explode. The ship is thrown
into a very fast spin. Nothing interesting is logged to KSP.log

Test #2:

1) Use "F9" quickload to load the save file again (the quicksave.sfs is an identical copy of persistent.sfs)

2) Wait a split second after it finishes loading

3) Press the space bar to activate the stack decoupler. If you time this just right, the other half of the ship will instantly be sent
approximately 2km away.

4) Use the "]" command to switch to the other half of the ship.

Result:
The other half of the ship has an orbit of 0.0 m/s, and lots of error messages are written to KSP.log (attached). The error messages
mention NaN values and ArithmeticExceptions.

Test #3:
1) Manually edit the save file and change all solar panels on "Science Probe IV" from EXTENDED to RETRACTED state.
2) Load the save file in game.

Result:
The bug does not occur.

Test #4:
1) Experiment with the number of EXTENDED vs RETRACTED panels in the save file.

Result:
The more EXTENDED panels there are, they more severe the bug is. If you get the number of EXTENDED panels just right (11
extended works for me), the ship is thrown into a spin but does not explode.

History

#1 - 12/16/2014 08:27 AM - voltara

| confirmed this still happens in 0.90.0 by running Test #1 in a brand new sandbox-mode game, and a freshly built ship (I did not reuse the old craft or
save files.)

#2 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from New to Needs Clarification
#3 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files
exploding-save.zip 137 KB 12/03/2014 voltara
KSP.log 1.82 MB 12/03/2014 voltara
